Index: cpukit/libblock/include/rtems/bdpart.h
===================================================================
--- cpukit/libblock/include/rtems/bdpart.h	(revision e5e1d8f00038d9e416e41c5c4c06d0adfc8b364d)
+++ cpukit/libblock/include/rtems/bdpart.h	(revision f58fd9702ead66151b4f5e19b5bb9bdd695c62eb)
@@ -206,6 +206,6 @@
 
 /**
- * Reads the partition information from the physical disk device with name
- * @a disk_name.
+ * @brief Reads the partition information from the physical disk device with
+ * name @a disk_name.
  *
  * The partition information will be stored in the partition table
@@ -223,11 +223,11 @@
 
 /**
- * Sorts the partition table @a partitions with @a count partitions to have
- * ascending begin blocks
+ * @brief Sorts the partition table @a partitions with @a count partitions to
+ * have ascending begin blocks
  */
 void rtems_bdpart_sort( rtems_bdpart_partition *partitions, size_t count);
 
 /**
- * Writes the partition table to the physical disk device with name
+ * @brief Writes the partition table to the physical disk device with name
  * @a disk_name.
  *
@@ -249,6 +249,6 @@
 
 /**
- * Creates a partition table in @a partitions with @a count partitions for the
- * physical disk device with name @a disk_name.
+ * @brief Creates a partition table in @a partitions with @a count partitions
+ * for the physical disk device with name @a disk_name.
  *
  * The array of positive integer weights in @a distribution must have exactly
@@ -267,6 +267,6 @@
 
 /**
- * Registers the partitions as logical disks for the physical disk device with
- * name @a disk_name.
+ * @brief Registers the partitions as logical disks for the physical disk
+ * device with name @a disk_name.
  *
  * For each partition of the partition table @a partitions with @a count
@@ -274,4 +274,6 @@
  * partition table index plus one.  The name of the logical disk device is the
  * concatenation of the physical disk device name and the partition number.
+ *
+ * @see rtems_blkdev_create_partition().
  */
 rtems_status_code rtems_bdpart_register(
@@ -282,6 +284,6 @@
 
 /**
- * Reads the partition table from the disk device with name @a disk_name and
- * registers the partitions as logical disks.
+ * @a brief Reads the partition table from the disk device with name @a
+ * disk_name and registers the partitions as logical disks.
  *
  * @see rtems_bdpart_register() and rtems_fsmount().
@@ -290,6 +292,6 @@
 
 /**
- * Deletes the logical disks associated with the partitions of the disk device
- * with name @a disk_name.
+ * @brief Deletes the logical disks associated with the partitions of the disk
+ * device with name @a disk_name.
  *
  * The partition table @a partitions with @a count partitions will be used to
@@ -304,6 +306,6 @@
 
 /**
- * Mounts all supported file systems inside the logical disks derived from the
- * partitions of the physical disk device with name @a disk_name.
+ * @brief Mounts all supported file systems inside the logical disks derived
+ * from the partitions of the physical disk device with name @a disk_name.
  *
  * For each partition in the partition table @a partitions with @a count
@@ -325,5 +327,5 @@
 
 /**
- * Unmounts all file systems mounted with rtems_bdpart_mount().
+ * @brief Unmounts all file systems mounted with rtems_bdpart_mount().
  */
 rtems_status_code rtems_bdpart_unmount(
@@ -335,7 +337,5 @@
 
 /**
- * @brief The Partition Table @a Partitions with @a Count Partitions is printed.
- *
- * Prints the partition table @a partitions with @a count partitions to
+ * @brief Prints the partition table @a partitions with @a count partitions to
  * standard output.
  */
@@ -343,11 +343,11 @@
 
 /**
- * Returns the partition type for the MBR partition type value @a mbr_type in
- * @a type.
+ * @brief Returns the partition type for the MBR partition type value
+ * @a mbr_type in @a type.
  */
 void rtems_bdpart_to_partition_type( uint8_t mbr_type, uuid_t type);
 
 /**
- * Converts the partition type in @a type to the MBR partition type.
+ * @brief Converts the partition type in @a type to the MBR partition type.
  *
  * The result will be stored in @a mbr_type.  Returns @c true in case of a
